#!/bin/bash

actzTrace "XSETNETT: getIP.sh $*"

intf=$1

# Run ifconfig to get the IP
line=$(/sbin/ifconfig $intf | grep "inet addr" | sed -e "s/^ \+//" -e "s/:/ /g" -e "s/ \+/ /g");
if [ -n "$line" ]; then
    addr=$(echo "$line" | cut -d' ' -f 3)
    mask=$(echo "$line" | cut -d' ' -f 7)
else
    addr="0.0.0.0"
    mask="0.0.0.0"
fi

echo -n "$addr $mask"

